package ru.yandex.webmaster3.monitoring.duty.data;

import org.joda.time.LocalDate;

import java.util.UUID;

/**
 * @author avhaliullin
 */
public class DutyInfo {
    private final UUID id;
    private final LocalDate from;
    private final LocalDate to;
    private final String login;

    public DutyInfo(UUID id, LocalDate from, LocalDate to, String login) {
        this.id = id;
        this.from = from;
        this.to = to;
        this.login = login;
    }

    public UUID getId() {
        return id;
    }

    public LocalDate getFrom() {
        return from;
    }

    public LocalDate getTo() {
        return to;
    }

    public String getLogin() {
        return login;
    }
}
